
QGIS Application - Bug report #7840

Doesn't Zoom to max extent when adding multiple layers

2013-05-16 01:53 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16722

Description

I start QGIS (build 226c524 - windows)

I add two GeoTiff's at the same time using the "Add a raster layer". In the "File name" bit at the bottom it shows:

"SK00_Colour.tif" "SP02_Colour.tif"

When the two layers are added, both are enabled, but it has only viewed to the extent of SK00, not the two of them.

Shouldn't it zoom to the max extent of all added layers, not just one of them?

History

#1 - 2013-05-16 04:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

it works fine here, can you attach sample data/project?

#2 - 2013-06-25 04:27 AM - Jonathan Moules

- File DSM_2m_1km_ASCII_Grid_Tiles.zip added

Sorry for the delay. Re-tested, this time with some .asc files. Happens here too. Data is in EPSG:27700. See attached.

#3 - 2013-06-25 04:58 AM - Jürgen Fischer

Adding layers usually doesn't change the extent of the project - only for the very first layer in the project sets the extent.

#4 - 2013-06-25 05:00 AM - Jonathan Moules

But these two are the very first layers in the project is the problem (fresh start of QGIS).

Both are added at the same time.

#5 - 2013-06-25 05:08 AM - Jürgen Fischer

Jonathan Moules wrote:
But these two are the very first layers in the project is the problem (fresh start of QGIS).

Both are added at the same time.

"There can be only one"

#6 - 2013-06-25 05:11 AM - Jonathan Moules

Jürgen Fischer wrote:

Jonathan Moules wrote:

But these two are the very first layers in the project is the problem (fresh start of QGIS).

Both are added at the same time.

"There can be only one"

:-)

That's the bug though. If I add multiple files it should zoom to the extent of all of them, not just a seemingly random single file.

#7 - 2014-06-29 12:50 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

The layer tree now implements this.

Files

DSM_2m_1km_ASCII_Grid_Tiles.zip 1.01 MB 2013-06-25 Jonathan Moules
